summaryrefslogtreecommitdiff
path: root/~coadde/mariadb/mariadbd
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2013-07-06 22:04:31 -0600
committerLuke Shumaker <LukeShu@sbcglobal.net>2013-07-06 22:04:31 -0600
commit2967b22c6179ded9cc01496e10dcb0f292d0c182 (patch)
tree9219e7dc564f3dc8af29ea142c4b5d409ea74310 /~coadde/mariadb/mariadbd
parent55677d14e4829d6a7859333d3560db346c228fdf (diff)
parente84010fb9a6f81d96d9c54661a7abde97a0eb187 (diff)
Merge branch 'master-remote' into master-undelete
Diffstat (limited to '~coadde/mariadb/mariadbd')
-rwxr-xr-x~coadde/mariadb/mariadbd77
1 files changed, 77 insertions, 0 deletions
diff --git a/~coadde/mariadb/mariadbd b/~coadde/mariadb/mariadbd
new file mode 100755
index 000000000..3ae612096
--- /dev/null
+++ b/~coadde/mariadb/mariadbd
@@ -0,0 +1,77 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+getPID() {
+ echo $(pgrep -u mysql mysqld 2>/dev/null);
+}
+
+case "$1" in
+ start)
+ stat_busy "Starting MariaDB Server"
+ [ ! -d /var/run/mariadb ] && install -d -g mysql -o mysql /var/run/mariadb &>/dev/null
+ if [ -z "$(getPID)" ]; then
+ /usr/bin/mysqld_safe --user=mysql &>/dev/null &
+ if [ $? -gt 0 ]; then
+ stat_fail
+ exit 1
+ else
+ timeo=30
+ while [ $timeo -gt 0 ]; do
+ response=`/usr/bin/mysqladmin -uUNKNOWN_USER ping 2>&1` && break
+ echo "$response" | grep -q "mysqld is alive" && break
+ sleep 1
+ let timeo=${timeo}-1
+ done
+ if [ $timeo -eq 0 ]; then
+ stat_fail
+ exit 1
+ else
+ echo $(getPID) > /var/run/mariadb/mariadb.pid
+ add_daemon mysqld
+ stat_done
+ fi
+ fi
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+ stop)
+ stat_busy "Stopping MariaDB Server"
+ if [ ! -z "$(getPID)" ]; then
+ timeo=30
+ kill $(getPID) &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ exit 1
+ fi
+ while [ ! -z "$(getPID)" -a $timeo -gt 0 ]; do
+ sleep 1
+ let timeo=${timeo}-1
+ done
+ if [ -z "$(getPID)" ]; then
+ rm -f /var/run/mariadb/mariadb.pid &>/dev/null
+ rm_daemon mysqld
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0